# List SLOs

Returns a list of Service Level Objectives

Endpoint: GET /cv/api/v1/orgs/{org}/projects/{project}/slo
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `composite_slo_identifier` (string)
    Identifier for the Composite SLO for which underlying SLOs needs to be listed.

  - `monitored_service_identifier` (string)
    For filtering on the basis of monitored service identifier

  - `user_journey_identifiers` (array)
    List of User Journey identifiers on the basis of which the SLOs are filtered.

  - `filter` (string)
    SLO Name on the basis of which the SLOs are filtered.

  - `slo_type` (string)
    SLO Types on the basis of which the SLOs are filtered.

  - `env_identifiers` (array)
    Identifiers of Environments on the basis of which the SLOs are filtered.

  - `target_types` (array)
    Target Types on the basis of which the SLOs are filtered.

  - `error_budget_risks` (array)
    Error Budgets on the basis of which the SLOs are filtered.

  - `evaluation_type` (string)
    Evaluation Type on the basis of which the SLOs are filtered.

  - `child_resource` (boolean)
    For filtering the simple slo&#x27;s on the basis of accountId. Set it to true for Account Level SLOs.

## Response 200 fields (application/json):

  - `slo_identifier` (string, required)
    Identifier of the SLO.

  - `name` (string, required)
    Name of the SLO.

  - `org_name` (string)
    Organization Name to which the SLO belongs.

  - `project_name` (string)
    Project Name to which the SLO belongs.

  - `monitored_service_identifier` (string)
    Identifier of the Monitored Service to which the SLO is associated.

  - `monitored_service_name` (string)
    Name of the Monitored Service to which the SLO is associated.

  - `service_identifier` (string)
    Identifier of the Service to which the SLO is associated.

  - `health_source_identifier` (string)
    Identifier of the Health Source to which the SLO is associated.

  - `health_source_name` (string)
    Identifier of the Health Source to which the SLO is associated.

  - `service_name` (string)
    Name of the Service to which the SLO is associated.

  - `environment_identifier` (string)
    Identifier of the Environment to which the SLO is associated.

  - `environment_name` (string)
    Name of the Environment to which the SLO is associated.

  - `tags` (array)
    List of tags for SLO.

  - `description` (string)
    Description for the SLO.

  - `user_journey_name` (string)
    Name of the first User Journey for the SLO.

  - `user_journeys` (array)

  - `user_journeys.name` (string)
    Name of the User Journey.

  - `user_journeys.identifier` (string)
    Identifier of the User Journey.

  - `burn_rate` (number, required)
    Burn rate per day of the SLO. The unit is "Minutes" if the Evaluation type is Window, for Request based it's "Request".

  - `error_budget_remaining_percentage` (number, required)
    Error Budget Remaining Percentage of the SLO.

  - `error_budget_remaining` (integer, required)
    Error Budget Remaining of the SLO. The unit is "Minutes" if the Evaluation type is Window, for Request based it's "Request".

  - `total_error_budget` (integer, required)
    Total Error Budget of the SLO. The unit is "Minutes" if the Evaluation type is Window, for Request based it's "Request".

  - `slo_target_type` (object)
    Types of SLO Target Period.

  - `slo_target_type.type` (string)

  - `slo_type` (object, required)
    Types of Service Level Objectives.

  - `slo_type.type` (string)

  - `slo_target_percentage` (number, required)
    Target Percentage of the SLO defined by the user.

  - `no_of_active_alerts` (integer, required)
    Number of Notification Rules defined for the SLO.

  - `evaluation_type` (object, required)
    Evaluation Type of SLI

  - `evaluation_type.type` (string)

  - `downtime_status_details` (object)
    Details of Downtime with Status

  - `downtime_status_details.status` (object)
    Enum For Downtime Statuses

  - `downtime_status_details.status.status` (string)

  - `downtime_status_details.start_time` (integer)
    Start time of the Downtime.

  - `downtime_status_details.end_time` (integer)
    End time of the Downtime.

  - `downtime_status_details.end_date_time` (string)
    End time of the Downtime in the format: yyyy-MM-dd hh:mm a

  - `project_params` (object, required)
    Project Parameters

  - `project_params.account_identifier` (string, required)
    Account Identifier.

  - `project_params.org_identifier` (string)
    Org Identifier.

  - `project_params.project_identifier` (string)
    Project Identifier.

  - `slo_error` (object)
    SLO Error Details.

  - `slo_error.failed_state` (boolean, required)
    Failed State of the SLO. If SLO has some failures this field will be true.

  - `slo_error.error_message` (string)
    Error Message if there is an SLO failure.

  - `slo_error.slo_error_type` (string)
    Types of SLO Errors.

  - `error_budget_risk` (string)
    Error Budget Risk for the SLO. - It's Healthy if Error Budget Remaining Percentage >= 75. - It's Observe if Error Budget Remaining Percentage >= 50 = 25 = 0 < 25. - It's Exhausted if Error Budget Remaining Percentage < 0.


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 500 fields

## Response 502 fields
